Name:		mdds
Version:	0.6.1
Release:	%mkrel 3
Summary:	A collection of multi-dimensional data structures and indexing algorithms

Group:		Development/C
License:	MIT
URL:		http://code.google.com/p/multidimalgorithm/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Source0:	http://multidimalgorithm.googlecode.com/files/%{name}_%{version}.tar.bz2

BuildRequires: boost-devel

BuildArch: noarch


%description
A collection of multi-dimensional data structures and indexing algorithms.
 
It implements the following data structures:
* segment tree
* flat segment tree 
* rectangle set
* point quad tree
* multi type matrix
* multi type vector

%package devel
Group: Development/C
Summary: Headers for %{name}
Requires: boost-devel

%description devel
Headers for %{name}.


%prep
%setup -q -n %{name}_%{version}
# this is only used in tests
sed -i -e '/^CPPFLAGS/s/-Wall.*-std/%{optflags} -std/' Makefile.in


%build
%configure2_5x


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_includedir}
mkdir %{buildroot}/%{_includedir}/mdds
cp -pr include/mdds/* %{buildroot}/%{_includedir}/mdds


%check
make check %{?_smp_mflags}

%clean
rm -rf %{buildroot}


%files devel
%defattr(-,root,root,-)
%{_includedir}/mdds
%doc AUTHORS NEWS README




%changelog

* Wed Apr 10 2013 malo <malo> 0.6.1-3.mga3
+ Revision: 409470
- rebuild for boost 1.53

* Sat Jan 12 2013 umeabot <umeabot> 0.6.1-2.mga3
+ Revision: 359882
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 tv <tv> 0.6.1-1.mga3
+ Revision: 331931
- fix group
- fix group
- new version
- update description
- clean up

* Mon Jul 04 2011 kharec <kharec> 0.5.2-1.mga2
+ Revision: 118121
- new version
- use %%configure2_5x

* Sun Jan 23 2011 dmorgan <dmorgan> 0.5.1-1.mga1
+ Revision: 35441
- Adapt to mageia
- imported package mdds


* Sat Jan 08 2011 David Tardon <dtardon@redhat.com> - 0.5.1-1
- new version

* Tue Dec 21 2010 David Tardon <dtardon@redhat.com> - 0.4.0-1
- new version

* Tue Nov 16 2010 David Tardon <dtardon@redhat.com> - 0.3.1-1
- new version

* Wed Jul 07 2010 Caolán McNamara <caolanm@redhat.com> - 0.3.0-2
- rpmlint warnings

* Wed Jun 30 2010 David Tardon <dtardon@redhat.com> - 0.3.0-1
- initial import
